org.apache.log4j.xml

## Class XSLTLayoutTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.LayoutTest
      - - org.apache.log4j.xml.XSLTLayoutTest

- All Implemented Interfaces:
    junit.framework.Test

      public class XSLTLayoutTest
      extends LayoutTest

  Test for XSLTLayout.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTLayoutTest(String testName)` Construct new instance of XSLTLayoutTest.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Layout` | `createLayout()` Creates layout for test.
    `void` | `testActivateOptions()` Tests activateOptions().
    `void` | `testAtom()` Tests XML configuration and atom layout.
    `void` | `testAtomNS()` Tests XML configuration and atom layout.
    `void` | `testExceptionWithCDATA()` Tests CDATA element within exception.
    `void` | `testFormat()` Tests formatted results.
    `void` | `testFormatWithException()` Tests formatted results with an exception.
    `void` | `testFormatWithNDC()` Tests formatted results with an exception.
    `void` | `testGetSetLocationInfo()` Tests getLocationInfo and setLocationInfo.
    `void` | `testNDCWithCDATA()` Tests CDATA element within NDC content.

    - ### Methods inherited from class org.apache.log4j.LayoutTest

      `testGetContentType, testGetFooter, testGetHeader, testIgnoresThrowable, testLineSep, testLineSepLen`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTLayoutTest

          public XSLTLayoutTest(String testName)

      Construct new instance of XSLTLayoutTest.
      Parameters:
        `testName` - test name.

  - ### Method Detail

    - #### createLayout

          protected Layout createLayout()

      Description copied from class: `LayoutTest`
      Creates layout for test.
      Overrides:
        `createLayout` in class `LayoutTest`
      Returns:
        new instance of Layout.

    - #### testFormat

          public void testFormat()
                          throws Exception

      Tests formatted results.
      Overrides:
        `testFormat` in class `LayoutTest`
      Throws:
        `Exception` - if parser can not be constructed or source is not a valid XML document.

    - #### testFormatWithException

          public void testFormatWithException()
                                       throws Exception

      Tests formatted results with an exception.
      Throws:
        `Exception` - if parser can not be constructed or source is not a valid XML document.

    - #### testFormatWithNDC

          public void testFormatWithNDC()
                                 throws Exception

      Tests formatted results with an exception.
      Throws:
        `Exception` - if parser can not be constructed or source is not a valid XML document.

    - #### testGetSetLocationInfo

          public void testGetSetLocationInfo()

      Tests getLocationInfo and setLocationInfo.

    - #### testActivateOptions

          public void testActivateOptions()

      Tests activateOptions().

    - #### testAtom

          public void testAtom()
                        throws Exception

      Tests XML configuration and atom layout.
      Throws:
        `Exception`

    - #### testAtomNS

          public void testAtomNS()
                          throws Exception

      Tests XML configuration and atom layout.
      Throws:
        `Exception`

    - #### testNDCWithCDATA

          public void testNDCWithCDATA()
                                throws Exception

      Tests CDATA element within NDC content. See bug 37560.
      Throws:
        `Exception`

    - #### testExceptionWithCDATA

          public void testExceptionWithCDATA()
                                      throws Exception

      Tests CDATA element within exception. See bug 37560.
      Throws:
        `Exception`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.